﻿using BepInEx;
using UnboundLib;
using UnboundLib.Cards;
using TBNRcards.Cards;
using HarmonyLib;
using CardChoiceSpawnUniqueCardPatch.CustomCategories;

namespace TBNRcards
{
    [BepInDependency("com.willis.rounds.unbound", BepInDependency.DependencyFlags.HardDependency)]
    [BepInDependency("pykess.rounds.plugins.moddingutils", BepInDependency.DependencyFlags.HardDependency)]
    [BepInDependency("pykess.rounds.plugins.cardchoicespawnuniquecardpatch", BepInDependency.DependencyFlags.HardDependency)]
    [BepInPlugin(ModId, ModName, Version)]
    [BepInProcess("Rounds.exe")]
    public class TBNRcards : BaseUnityPlugin
    {
        private const string ModId = "com.TBNRdoodler.rounds.TBNRcards";
        private const string ModName = "TBNRcards";
        public const string Version = "2.2.1"; // What version are we on (major.minor.patch)?
        public const string ModInitials = "TBNRC";
        public static TBNRcards instance { get; private set; }

        void Awake()
        {
            var harmony = new Harmony(ModId);
            harmony.PatchAll();
        }
        void Start()
        {
            CustomCard.BuildCard<Beelzebufo>();
            CustomCard.BuildCard<Fwog>();
            CustomCard.BuildCard<Thickness>();
            CustomCard.BuildCard<Shuriken>();
            CustomCard.BuildCard<AgressiveBlocking>();
            CustomCard.BuildCard<ShoulderCannon>();
            CustomCard.BuildCard<FabricatedSniperRifle>();
            CustomCard.BuildCard<AdvancedSniperBullets>();
            CustomCard.BuildCard<PumpActionShotgun>();
            CustomCard.BuildCard<ToughenedHide>();
            {//Block Class

            }
        }
    }
}
